Package org.springframework.context.annotation

# Class ContextAnnotationAutowireCandidateResolver

java.lang.Object
org.springframework.beans.factory.support.SimpleAutowireCandidateResolver
org.springframework.beans.factory.support.GenericTypeAwareAutowireCandidateResolver
org.springframework.beans.factory.annotation.QualifierAnnotationAutowireCandidateResolver
org.springframework.context.annotation.ContextAnnotationAutowireCandidateResolver

All Implemented Interfaces:
  `Cloneable`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.support.AutowireCandidateResolver`

public class ContextAnnotationAutowireCandidateResolver extends org.springframework.beans.factory.annotation.QualifierAnnotationAutowireCandidateResolver
Complete implementation of the `AutowireCandidateResolver` strategy interface, providing support for qualifier annotations as well as for lazy resolution driven by the `Lazy` annotation in the `context.annotation` package.

Since:
  4.0
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from class org.springframework.beans.factory.support.SimpleAutowireCandidateResolver

`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`ContextAnnotationAutowireCandidateResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`buildLazyResolutionProxy(org.springframework.beans.factory.config.DependencyDescriptor descriptor, String beanName)`
`Class<?>`
`getLazyResolutionProxyClass(org.springframework.beans.factory.config.DependencyDescriptor descriptor, String beanName)`
`Object`
`getLazyResolutionProxyIfNecessary(org.springframework.beans.factory.config.DependencyDescriptor descriptor, String beanName)`
`protected boolean`
`isLazy(org.springframework.beans.factory.config.DependencyDescriptor descriptor)`

### Methods inherited from class org.springframework.beans.factory.annotation.QualifierAnnotationAutowireCandidateResolver

`addQualifierType, checkQualifier, checkQualifiers, extractValue, findValue, getFactoryMethodAnnotation, getQualifiedElementAnnotation, getSuggestedName, getSuggestedValue, hasQualifier, isAutowireCandidate, isQualifier, isRequired, setValueAnnotationType`

### Methods inherited from class org.springframework.beans.factory.support.GenericTypeAwareAutowireCandidateResolver

`checkGenericTypeMatch, cloneIfNecessary, getBeanFactory, getResolvedDecoratedDefinition, getReturnTypeForFactoryMethod, setBeanFactory`

### Methods inherited from class org.springframework.beans.factory.support.SimpleAutowireCandidateResolver

`resolveAutowireCandidates, resolveAutowireCandidates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextAnnotationAutowireCandidateResolver

public ContextAnnotationAutowireCandidateResolver()

## Method Details

### getLazyResolutionProxyIfNecessary

@Nullable public Object getLazyResolutionProxyIfNecessary(org.springframework.beans.factory.config.DependencyDescriptor descriptor, @Nullable String beanName)

### getLazyResolutionProxyClass

@Nullable public Class<?> getLazyResolutionProxyClass(org.springframework.beans.factory.config.DependencyDescriptor descriptor, @Nullable String beanName)

### isLazy

protected boolean isLazy(org.springframework.beans.factory.config.DependencyDescriptor descriptor)

### buildLazyResolutionProxy

protected Object buildLazyResolutionProxy(org.springframework.beans.factory.config.DependencyDescriptor descriptor, @Nullable String beanName)